Deactivate Credential
curl --request PUT \
--url https://api.dfns.io/auth/credentials/deactivate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-DFNS-USERACTION: <api-key>' \
--data '
{
"credentialUuid": "<string>"
}
'import requests
url = "https://api.dfns.io/auth/credentials/deactivate"
payload = { "credentialUuid": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"X-DFNS-USERACTION": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: 'Bearer <token>',
'X-DFNS-USERACTION': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({credentialUuid: '<string>'})
};
fetch('https://api.dfns.io/auth/credentials/deactivate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>"
}Deactivate Credential
Deactivates a credential that was previously active. If the credential is already deactivated no action is taken.
PUT
/
auth
/
credentials
/
deactivate
Deactivate Credential
Authentication
✅ Organization User (CustomerEmployee)✅ Delegated User (
EndUser)❌ Personal Access Token not allowed
❌ Service Account
Required Permissions
No permission required.Authorizations
Bearer Token: Used to authenticate API requests. More details how to generate the token: Authentication flows
User Action Signature: Used to sign the change-inducing API requests. More details how to generate the token: User Action Signing flows
Body
application/json
UUID of the credential to deactivate.
Minimum string length:
1Response
200 - application/json
Success
Human-readable success message.
Last modified on July 9, 2026
Was this page helpful?
⌘I